<nav class="absolute top-0 right-0 px-5 left-0 h-[50px] flex justify-center items-center text-white bg-gray-500 text-3xl">
    <h1 class="font-bold">Ispyt</h1>
  </nav>
  <div class="max-w-5xl container mx-auto pt-5">
    <h1 class="font-bold mb-2 text-center text-lg">{{ title | titlecase }}</h1>
  
    <input
      type="text"
      class="mb-2 border py-2 px-4 w-full"
      placeholder="Filter items..."
      [(ngModel)]="id"
    >
  
    <div *ngIf="itemService.items">
      <app-item
        *ngFor="let item of itemService.items | filterItems:id; let i = index"
        [item]="item"
      ></app-item>
    </div>
  
  
    <app-modal *ngIf="modalService.isVisible$ | async" title="Create new item">
      <app-create-item></app-create-item>
    </app-modal>
  
    <app-modal *ngIf="modalService.isDeleteVisible$ | async" title="Delete item">
      <app-delete-item></app-delete-item>
    </app-modal>
    
    <button
      class="rounded-full bg-red-700 text-white fixed left-5 bottom-5 py-2 px-4"
      (click)="modalService.openDeleteModal()"
    >-</button>
  
    <button
      class="rounded-full bg-green-700 text-white fixed right-5 bottom-5 py-2 px-4"
      (click)="modalService.open()"
    >+</button>
  </div>